# Instalacao dos pacotes necessarios
install.packages(pkgs=c("BiodiversityR", #complemento do R commander para interface grafica de 
                                         #analises de biodiversidade
                        "vegan",         #principal pacote do R para analises de biodiversidade, 
                                         #rodando no fundo da interface grafica do BiodiversityR
                        "Rcmdr",         #R commander - interface grafica para o R
                        #Os pacotes abaixo se referem aos algoritmos de estatistica e de 
                        #visualizacao de graficos que sao utilizados pelo R commander e pelo 
                        #complemento BiodiversityR
                        "MASS", "mgcv","cluster", "RODBC", "rpart", "effects", "multcomp","ellipse",
                        "maptree", "sp", "splancs", "spatial","akima", "nnet", "dismo", "raster",
                        "rgdal","bootstrap", "PresenceAbsence","maxlike", "gbm", "randomForest", 
                        "gam", "earth", "mda","kernlab", "e1071", "glmnet", "sem", "rgl", 
                        "relimp","lmtest", "leaps", "Hmisc", "colorspace", "aplpack","abind", 
                        "XLConnect", "car", "markdown","knitr","geosphere", "maptools", "rgeos",
                        "ENMeval", "red"),
                        dependencies=c("Depends", "Imports"))


#Carrega o R commander e o complemento BiodiversityR na memoria 
library(BiodiversityR)
library(Rcmdr)

#abre os dados a serem usados na aula
agrodiversidade_quilos_km2 <- read.csv2("agrodiversidade_quilos_km2.csv", row.names=1)

# abre a interface visual
BiodiversityRGUI() 

#Caso a interface visual nao abra, ou falte o menu do BiodiversityR, ou tenha outro problema, 
#feche a janela aberta do R Commander, selecine a linha abaixo e clique no botao "Run"
Commander()